<?php
$tdataprovince = array();
$tdataprovince[".searchableFields"] = array();
$tdataprovince[".ShortName"] = "province";
$tdataprovince[".OwnerID"] = "";
$tdataprovince[".OriginalTable"] = "province";


$tdataprovince[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataprovince[".originalPagesByType"] = $tdataprovince[".pagesByType"];
$tdataprovince[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataprovince[".originalPages"] = $tdataprovince[".pages"];
$tdataprovince[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataprovince[".originalDefaultPages"] = $tdataprovince[".defaultPages"];

//	field labels
$fieldLabelsprovince = array();
$fieldToolTipsprovince = array();
$pageTitlesprovince = array();
$placeHoldersprovince = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsprovince["English"] = array();
	$fieldToolTipsprovince["English"] = array();
	$placeHoldersprovince["English"] = array();
	$pageTitlesprovince["English"] = array();
	$fieldLabelsprovince["English"]["ProvinceID"] = "ລະຫັດ";
	$fieldToolTipsprovince["English"]["ProvinceID"] = "";
	$placeHoldersprovince["English"]["ProvinceID"] = "";
	$fieldLabelsprovince["English"]["ProvinceName"] = "ຊື່ແຂວງ";
	$fieldToolTipsprovince["English"]["ProvinceName"] = "";
	$placeHoldersprovince["English"]["ProvinceName"] = "";
	if (count($fieldToolTipsprovince["English"]))
		$tdataprovince[".isUseToolTips"] = true;
}


	$tdataprovince[".NCSearch"] = true;



$tdataprovince[".shortTableName"] = "province";
$tdataprovince[".nSecOptions"] = 0;

$tdataprovince[".mainTableOwnerID"] = "";
$tdataprovince[".entityType"] = 0;
$tdataprovince[".connId"] = "eflejob_at_localhost";


$tdataprovince[".strOriginalTableName"] = "province";

	



$tdataprovince[".showAddInPopup"] = false;

$tdataprovince[".showEditInPopup"] = false;

$tdataprovince[".showViewInPopup"] = false;

	$tdataprovince[".listAjax"] = true;
//	temporary
//$tdataprovince[".listAjax"] = false;

	$tdataprovince[".audit"] = false;

	$tdataprovince[".locking"] = false;


$pages = $tdataprovince[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataprovince[".edit"] = true;
	$tdataprovince[".afterEditAction"] = 1;
	$tdataprovince[".closePopupAfterEdit"] = 1;
	$tdataprovince[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataprovince[".add"] = true;
$tdataprovince[".afterAddAction"] = 1;
$tdataprovince[".closePopupAfterAdd"] = 1;
$tdataprovince[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataprovince[".list"] = true;
}



$tdataprovince[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataprovince[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataprovince[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataprovince[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataprovince[".printFriendly"] = true;
}



$tdataprovince[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataprovince[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataprovince[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataprovince[".isUseAjaxSuggest"] = true;



			

$tdataprovince[".ajaxCodeSnippetAdded"] = false;

$tdataprovince[".buttonsAdded"] = false;

$tdataprovince[".addPageEvents"] = false;

// use timepicker for search panel
$tdataprovince[".isUseTimeForSearch"] = false;


$tdataprovince[".badgeColor"] = "6b8e23";


$tdataprovince[".allSearchFields"] = array();
$tdataprovince[".filterFields"] = array();
$tdataprovince[".requiredSearchFields"] = array();

$tdataprovince[".googleLikeFields"] = array();
$tdataprovince[".googleLikeFields"][] = "ProvinceID";
$tdataprovince[".googleLikeFields"][] = "ProvinceName";



$tdataprovince[".tableType"] = "list";

$tdataprovince[".printerPageOrientation"] = 0;
$tdataprovince[".nPrinterPageScale"] = 100;

$tdataprovince[".nPrinterSplitRecords"] = 40;

$tdataprovince[".geocodingEnabled"] = false;










$tdataprovince[".pageSize"] = 20;

$tdataprovince[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataprovince[".strOrderBy"] = $tstrOrderBy;

$tdataprovince[".orderindexes"] = array();


$tdataprovince[".sqlHead"] = "SELECT ProvinceID,  	ProvinceName";
$tdataprovince[".sqlFrom"] = "FROM province";
$tdataprovince[".sqlWhereExpr"] = "";
$tdataprovince[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataprovince[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataprovince[".arrGroupsPerPage"] = $arrGPP;

$tdataprovince[".highlightSearchResults"] = true;

$tableKeysprovince = array();
$tableKeysprovince[] = "ProvinceID";
$tdataprovince[".Keys"] = $tableKeysprovince;


$tdataprovince[".hideMobileList"] = array();




//	ProvinceID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ProvinceID";
	$fdata["GoodName"] = "ProvinceID";
	$fdata["ownerTable"] = "province";
	$fdata["Label"] = GetFieldLabel("province","ProvinceID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "ProvinceID";

		$fdata["sourceSingle"] = "ProvinceID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ProvinceID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataprovince["ProvinceID"] = $fdata;
		$tdataprovince[".searchableFields"][] = "ProvinceID";
//	ProvinceName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "ProvinceName";
	$fdata["GoodName"] = "ProvinceName";
	$fdata["ownerTable"] = "province";
	$fdata["Label"] = GetFieldLabel("province","ProvinceName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "ProvinceName";

		$fdata["sourceSingle"] = "ProvinceName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ProvinceName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataprovince["ProvinceName"] = $fdata;
		$tdataprovince[".searchableFields"][] = "ProvinceName";


$tables_data["province"]=&$tdataprovince;
$field_labels["province"] = &$fieldLabelsprovince;
$fieldToolTips["province"] = &$fieldToolTipsprovince;
$placeHolders["province"] = &$placeHoldersprovince;
$page_titles["province"] = &$pageTitlesprovince;


changeTextControlsToDate( "province" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["province"] = array();
//	district
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="district";
		$detailsParam["dOriginalTable"] = "district";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "district";
	$detailsParam["dCaptionTable"] = GetTableCaption("district");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["province"][$dIndex] = $detailsParam;

	
		$detailsTablesData["province"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["province"][$dIndex]["masterKeys"][]="ProvinceID";

				$detailsTablesData["province"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["province"][$dIndex]["detailKeys"][]="ProvinceID";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["province"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_province()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ProvinceID,  	ProvinceName";
$proto0["m_strFrom"] = "FROM province";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ProvinceID",
	"m_strTable" => "province",
	"m_srcTableName" => "province"
));

$proto6["m_sql"] = "ProvinceID";
$proto6["m_srcTableName"] = "province";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "ProvinceName",
	"m_strTable" => "province",
	"m_srcTableName" => "province"
));

$proto8["m_sql"] = "ProvinceName";
$proto8["m_srcTableName"] = "province";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "province";
$proto11["m_srcTableName"] = "province";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "ProvinceID";
$proto11["m_columns"][] = "ProvinceName";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "province";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "province";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="province";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_province = createSqlQuery_province();


	
		;

		

$tdataprovince[".sqlquery"] = $queryData_province;



$tdataprovince[".hasEvents"] = false;

?>